[data-theme='dark'] {
  --color-fg: white;
  --color-fg-menu-displayed: white;
  --window-background: linear-gradient(to bottom right, #0f1023, #4b0224);
  --text-colour: white;
  --notification-count-text-colour: #e70068;
  --notification-count-background-colour: white;
  --notification-count-text-menu-displayed-colour: #e70068;
  --notification-count-background-menu-displayed-colour: white;
  --border: #43444d;
}

[data-theme='light'] {
  --color-fg: black;
  --color-fg-menu-displayed: white;
  --window-background: white;
  --text-colour: #040034;
  --notification-count-text-colour: white;
  --notification-count-background-colour: #040034;
  --notification-count-text-menu-displayed-colour: #e70068;
  --notification-count-background-menu-displayed-colour: white;
  --border: #bbbbbb;
}

.user-control {
  /*flex: 0 0 250px;*/
  flex: 1 1;
  height: 60px;
  width: 400px;
  display: flex;
  position: absolute;
  flex-direction: row;
  justify-content: right;
  align-items: center;
  background-color: transparent;
  border-radius: 10px 10px 0px 0px;
  margin-right: 8px;
  right: 0px;
  top: 28px;
  z-index: 1;
}

.user-control[data-dropdown-displayed='T'] {
  background-color: #040034;
}

.user-control[data-contains-notifications='T'] {
  width: 595px;
}

.user-control-login {
  flex: 0 0 auto;
  height: 30px;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-right: 20px;
  border: none;
  background-color: transparent;
}

.user-control-login-text {
  flex: 0 0 auto;
  font-weight: 800;
  color: var(--color-fg);
  text-align: right;
  margin-right: 8px;
}

.user-control-login-text[data-menu-displayed='T'] {
  color: var(--color-fg-menu-displayed);
}

.user-control-login-initials {
  flex: 0 0 30px;
  height: 30px;
  background-color: #e70068;
  border-radius: 20px;
  color: white;
  display: flex;
  flex-direction: column;
  font-size: 8pt;
  font-weight: 800;
  text-align: center;
  justify-content: center;
}

.user-control-notification-count {
  color: var(--notification-count-text-colour);
  background-color: var(--notification-count-background-colour);
  flex: 0 0 20px;
  height: 20px;
  border-radius: 10px;
  font-size: 7pt;
  display: flex;
  flex-direction: column;
  font-weight: 800;
  text-align: center;
  justify-content: center;
}

.user-control-notification-count[data-offset='T'] {
  position: relative;
  top: -13px;
  left: -13px;
}

.user-control-notification-count[data-menu-displayed='T'] {
  color: var(--notification-count-text-menu-displayed-colour);
  background-color: var(--notification-count-background-menu-displayed-colour);
}

.user-control-login-icon {
  flex: 0 0 30px;
  height: 30px;
  background-color: #e70068;
  border-radius: 20px;
  color: white;
  display: flex;
  flex-direction: column;
  font-size: 8pt;
  font-weight: 800;
  align-items: center;
  justify-content: center;
}

.user-control-login-dropdown {
  flex: 0 0 30px;
  font-size: 10pt;
  color: #e70068;
  margin: 5px;
  margin-right: 15px;
}

.login-box {
  background-color: darkgreen;
  text-align: center;
  width: 270px;
  height: 160px;
  border-width: none;
  padding: 5px 0px 5px 0px;
  border-radius: 10px;
}

.login-title {
  margin: 5px 5px 20px 5px;
  background-color: #364073;
  color: white;
  font-weight: 600;
  height: 25px;
  line-height: 25px;
}

.login-item-container {
  width: 100%;
  height: 25px;
  margin: 5pt 0pt 0pt 0pt;
}

.login-label {
  float: left;
  padding-left: 10px;
  color: white;
}

.login-textbox {
  font-family: 'Go';
  font-size: 1em;
  padding: 2px 4px 2px 4px;
  width: 150px;
  margin: 0px 10px 0px 0px;
  float: right;
  border: 1px solid darkgray;
}

.login-button-container {
  float: left;
  width: 100%;
  margin: 15px 10px 0px 10px;
}

.login-button-left {
  float: left;
  width: 120px;
  height: 35px;
  color: black;
}

.login-button-right {
  float: left;
  width: 120px;
  height: 35px;
  margin-left: 10px;
  color: black;
}

.login-button-image {
  float: left;
  margin-left: 5px;
  height: 30px;
}

.login-button-text {
  float: left;
  height: 30px;
  padding: 6px 0px 0px 8px;
  font-family: 'Go';
}

.user-dropdown-menu {
  background-color: #040034;
  text-align: center;
  border-width: none;
  padding: 5px 5px 5px 5px;
  border-radius: 0px 0px 10px 10px;
  display: flex;
  flex-direction: column;
}

.menu-button {
  width: 390px;
  height: 42px;
  background-color: transparent;
  border: none;
  display: flex;
  align-items: center;
  flex-direction: row;
}

.menu-button:hover {
  //background-color: #d6005b;
  //transition: 0.3s;
}

.menu-button-image {
  float: right;
  margin: 2px 2px 2px 2px;
  display: flex;
  height: 24px;
  align-items: center;
  text-align: center;
}

.menu-button-text {
  flex: 1 1;
  color: white;
  justify-content: left;
  height: 24px;
  margin: 2px 8px 2px 2px;
  display: flex;
  align-items: center;
  opacity: 0.8;
  border: none;
  cursor: pointer;
}

.menu-button-text[data-align='R'] {
  justify-content: right;
}

.menu-button-text:hover {
  opacity: 1;
}

.user-oidc-container {
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  color: var(--text-colour);
}

.user-oidc {
  width: 100%;
  height: 100%;
  padding: 15px;
}

.user-oidc-row {
  height: 32px;
}

.user-oidc-cell {
  word-wrap: break-word;
  max-width: 1200px;
  font-family: monospace;
  font-weight: 400;
  font-size: 11pt;
  border-style: none;
}

.view-notifications {
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  color: var(--text-colour);
}

.view-notification-footer {
  border-top: solid 1pt var(--border);
}
